<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/" xmlns:its="http://www.w3.org/2005/11/its" type="topic" style="task" id="dev-launching-startupnotify" xml:lang="ko">

  <info>
    <link type="next" xref="dev-launching-mime"/>
    <revision version="0.1" date="2014-01-28" status="draft"/>

    <credit type="author">
      <name>David King</name>
      <email its:translate="no">davidk@gnome.org</email>
      <years>2014</years>
    </credit>

    <include xmlns="http://www.w3.org/2001/XInclude" href="cc-by-sa-3-0.xml"/>

  
    <mal:credit xmlns:mal="http://projectmallard.org/1.0/" type="translator copyright">
      <mal:name>조성호</mal:name>
      <mal:email>shcho@gnome.org</mal:email>
      <mal:years>2016, 2017, 2018.</mal:years>
    </mal:credit>
  </info>

  <title>시작 알림</title>

  <links type="series" style="floatend">
    <title>프로그램 실행</title>
  </links>

  <p>프로그램 시동이 끝나면 사용자에게 알립니다.</p>

  <p>GNOME implements the
  <link href="https://standards.freedesktop.org/startup-notification-spec/startup-notification-latest.txt">Startup
  Notification protocol</link>, to give feedback to the user when application
  startup finishes.</p>

  <p>GTK applications automatically support startup notification, and by
  default notify that application startup is complete when the first window is
  shown. Your application must declare that it supports startup notification by
  adding <code>StartupNotify=true</code> to its desktop file.</p>

  <p>프로그램을 시작하는 동안 스플래시 화면을 나타내는 식의 좀 더 복잡한 시작 과정이 있다면, <code href="https://developer.gnome.org/gdk3/stable/gdk3-General.html#gdk-notify-startup-complete">gdk_notify_startup_complete()</code> 함수로 따로 처리해야합니다.</p>

</page>
